List

  • GET
  • /user
  • /keys

Get user's SSH keys

Request

REQUIRED SCOPES
USER_KEY

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
keysPublicSSHKeyView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/user/keys" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/user/keys", "html_url": "https://app.buddy.works/security", "keys": [ { "url": "https://api.buddy.works/user/keys/456", "html_url": "https://app.buddy.works/ssh-keys/details/456", "id": 456, "title": "My Development Key", "content": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7VLpP... user@example.com" }, { "url": "https://api.buddy.works/user/keys/789", "html_url": "https://app.buddy.works/ssh-keys/details/789", "id": 789, "title": "Server Key", "content": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQD2XfgH... server@company.com" } ] }
STATUS
200 OK